package bytecode;

import static org.junit.Assert.*;

import java.io.File;
import java.io.IOException;

import org.junit.Test;

import de.dhbwstuttgart.core.JavaTXCompiler;

public class SubMatTest {
	private static String path;
	private static File fileToTest;
	private static JavaTXCompiler compiler;
	private static String pathToClassFile;
	
	@Test
	public void test() throws ClassNotFoundException, IOException {
		path = System.getProperty("user.dir")+"/src/test/resources/bytecode/javFiles/SubMatrix.jav";
		fileToTest = new File(path);
		compiler = new JavaTXCompiler(fileToTest);
		pathToClassFile = System.getProperty("user.dir")+"/src/test/resources/testBytecode/generatedBC/";
		compiler.generateBytecode(pathToClassFile);
	}

}
